package com.sqx.modules.order.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sqx.modules.order.entity.OrderGoods;
import com.sqx.modules.order.entity.TbOrder;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface OrderGoodsDao extends BaseMapper<OrderGoods> {

    TbOrder selectByPayTime(String date);

    List<OrderGoods> selectParentShareTheBill(Long orderId, Long userId);

    List<OrderGoods> selectShareTheBill(Long orderId, Long userId);

}
